For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all automations of the specified project.
      • POSTCreates a new automation for the specified project.
      • GETReturns a specific automation from a project.
      • PUTUpdates the automation with the specified id.
      • DELDeletes the specified automation for a given project.
      • GETGets the actions of a project automation.
      • POSTCreates a new action for an automation.
      • GETGets a specific action for a project automation.
      • PUTUpdates a specifc action of a project automation.
      • DELDeletes an action for a project automation.
      • POSTUpdates the order of a given action of a project automation.
      • POSTExecutes a manual automation for a task.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Automations

Deletes an action for a project automation.

DELETE
https://api.awork.com/api/v1/projects/:projectId/automations/:automationId/actions/:actionId
DELETE
/api/v1/projects/:projectId/automations/:automationId/actions/:actionId
$curl -X DELETE https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions/actionId \
> -H "Authorization: Bearer <token>"
Deletes an action for an automation including all its values. Actions of automations created from a workflow cannot be deleted. <Check title="Required Permissions" icon="key">The user must be owner of the project or must have `project-master-data:write` permissions on the specified project.</Check>
Was this page helpful?
Previous

Updates the order of a given action of a project automation.

Next
Built with

Deletes an action for an automation including all its values. Actions of automations created from a workflow cannot be deleted.

Required Permissions
The user must be owner of the project or must have project-master-data:write permissions on the specified project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project of the automation.
automationIdstringRequiredformat: "uuid"
The id of the automation.
actionIdstringRequiredformat: "uuid"
The id of the action.

Response

No Content

Errors

400
Bad Request Error